<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('user_id')->nullable();
			$table->string('username')->nullable();
			$table->string('email')->nullable();
			$table->string('password')->nullable();
			$table->string('first_name')->nullable();
			$table->string('last_name')->nullable();
			$table->string('avatar')->nullable();
			$table->string('cover')->nullable();
			$table->string('background_image')->nullable();
			$table->string('background_image_status')->nullable();
			$table->string('relationship_id')->nullable();
			$table->string('address')->nullable();
			$table->string('working')->nullable();
			$table->string('working_link')->nullable();
			$table->text('about')->nullable();
			$table->string('school')->nullable();
			$table->string('gender')->nullable();
			$table->timestamp('birthday')->nullable();
			$table->integer('country_id')->nullable();
			$table->string('website')->nullable();
			$table->string('facebook')->nullable();
			$table->string('google')->nullable();
			$table->string('twitter')->nullable();
			$table->string('linkedin')->nullable();
			$table->string('youtube')->nullable();
			$table->string('vk')->nullable();
			$table->string('ya')->nullable();
			$table->string('instagram')->nullable();
			$table->string('qq')->nullable();
			$table->string('wechat')->nullable();
			$table->string('discord')->nullable();
			$table->string('mailru')->nullable();
			$table->string('okru')->nullable();
			$table->string('language')->nullable();
			$table->string('email_code')->nullable();
			$table->string('src')->nullable();
			$table->string('ip_address')->nullable();
			$table->string('follow_privacy')->nullable();
			$table->string('friend_privacy')->nullable();
			$table->string('post_privacy')->nullable();
			$table->string('message_privacy')->nullable();
			$table->string('confirm_followers')->nullable();
			$table->string('show_activities_privacy')->nullable();
			$table->string('birth_privacy')->nullable();
			$table->string('visit_privacy')->nullable();
			$table->string('verified')->nullable();
			$table->string('lastseen')->nullable();
			$table->string('showlastseen')->nullable();
			$table->string('emailNotification')->nullable();
			$table->string('e_liked')->nullable();
			$table->string('e_wondered')->nullable();
			$table->string('e_shared')->nullable();
			$table->string('e_followed')->nullable();
			$table->string('e_commented')->nullable();
			$table->string('e_visited')->nullable();
			$table->string('e_liked_page')->nullable();
			$table->string('e_mentioned')->nullable();
			$table->string('e_joined_group')->nullable();
			$table->string('e_accepted')->nullable();
			$table->string('e_profile_wall_post')->nullable();
			$table->string('e_sentme_msg')->nullable();
			$table->string('e_last_notif')->nullable();
			$table->string('notification_settings')->nullable();
			$table->string('status')->nullable();
			$table->string('active')->nullable();
			$table->string('admin')->nullable();
			$table->string('type')->nullable();
			$table->string('registered')->nullable();
			$table->string('start_up')->nullable();
			$table->string('start_up_info')->nullable();
			$table->string('startup_follow')->nullable();
			$table->string('startup_image')->nullable();
			$table->string('last_email_sent')->nullable();
			$table->string('phone_number')->nullable();
			$table->string('sms_code')->nullable();
			$table->string('is_pro')->nullable();
			$table->timestamp('pro_time')->nullable();
			$table->string('pro_type')->nullable();
			$table->string('pro_remainder')->nullable();
			$table->string('joined')->nullable();
			$table->string('css_file')->nullable();
			$table->string('timezone')->nullable();
			$table->string('referrer')->nullable();
			$table->string('ref_user_id')->nullable();
			$table->string('ref_level')->nullable();
			$table->integer('balance')->nullable();
			$table->string('paypal_email')->nullable();
			$table->string('notifications_sound')->nullable();
			$table->string('order_posts_by')->nullable();
			$table->string('social_login')->nullable();
			$table->string('android_m_device_id')->nullable();
			$table->string('ios_m_device_id')->nullable();
			$table->string('android_n_device_id')->nullable();
			$table->string('ios_n_device_id')->nullable();
			$table->string('web_device_id')->nullable();
			$table->string('wallet')->nullable();
			$table->string('lat')->nullable();
			$table->string('Ing')->nullable();
			$table->string('last_location_update')->nullable();
			$table->string('share_my_location')->nullable();
			$table->string('last_data_update')->nullable();
			$table->string('details')->nullable();
			$table->string('sidebar_data')->nullable();
			$table->string('last_avatar_mod')->nullable();
			$table->string('last_cover_mod')->nullable();
			$table->string('points')->nullable();
			$table->string('daily_points')->nullable();
			$table->string('converted_points')->nullable();
			$table->string('point_day_expire')->nullable();
			$table->string('last_follow_id')->nullable();
			$table->string('share_my_data')->nullable();
			$table->string('last_login_data')->nullable();
			$table->string('two_factor')->nullable();
			$table->string('two_factor_hash')->nullable();
			$table->string('new_email')->nullable();
			$table->string('two_factor_verified')->nullable();
			$table->string('new_phone')->nullable();
			$table->string('info_file')->nullable();
			$table->string('city')->nullable();
			$table->string('state')->nullable();
			$table->string('zip')->nullable();
			$table->string('school_completed')->nullable();
			$table->string('weather_unit')->nullable();
			$table->string('paystack_ref')->nullable();
			$table->string('code_sent')->nullable();
			$table->string('StripeSessionld')->nullable();
			$table->string('time_code_sent')->nullable();
			$table->string('permission')->nullable();
			$table->string('skills')->nullable();
			$table->string('languages')->nullable();
			$table->string('currently_working')->nullable();
			$table->string('banned')->nullable();
			$table->string('banned_reason')->nullable();
			$table->string('credits')->nullable();
			$table->string('authy_id')->nullable();
			$table->string('google_secret')->nullable();
			$table->string('two_factor_method')->nullable();
			$table->string('coinbase_hash')->nullable();
			$table->string('coinbase_code')->nullable();
			$table->string('yoomoney_hash')->nullable();
			$table->string('Conversationld')->nullable();
			$table->string('securionpay_key')->nullable();
			$table->string('fortumo_hash')->nullable();
			$table->string('aamarpay_tran_id')->nullable();
			$table->string('ngenius_ref')->nullable();
			$table->string('coinpayments_txn_id')->nullable();
			$table->string('sign_up')->nullable();
			$table->string('city_id')->nullable();
			$table->softDeletes();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('users');
	}
}